# $Revision: 1.12 $, $Date: 2011/07/18 11:50:23 $
%define		ocaml_ver	1:3.10.0
Summary:	PostgreSQL binding for OCaml
Summary(pl.UTF-8):	Wiązania PostgreSQL dla OCamla
Name:		ocaml-pg
Version:	1.0
Release:	8
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://merjis.com/_file/pgocaml-%{version}.tar.gz
# Source0-md5:	4f12ab37e75cc863560600e458e202d5
Patch0:		%{name}-notest.patch
Patch1:		%{name}-calendar.patch
URL:		http://merjis.com/developers/pgocaml/
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-calendar-devel
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-csv-devel
BuildRequires:	ocaml-extlib-devel
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-pcre-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%description -l pl.UTF-8
PG'OCaml to prosty, bezpieczny pod względem typów interfejs do
PostgreSQL-a dla OCamla. Pozwala osadzać instrukcje SQL bezpośrednio
w kodzie w OCamlu.

%package devel
Summary:	PostgreSQL binding for OCaml
Summary(pl.UTF-8):	Wiązania PostgreSQL dla OCamla
Group:		Development/Libraries
Requires:	ocaml-calendar-devel
Requires:	ocaml-csv-devel
Requires:	ocaml-extlib-devel
Requires:	ocaml-pcre-devel
%requires_eq	ocaml

%description devel
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%description devel -l pl.UTF-8
PG'OCaml to prosty, bezpieczny pod względem typów interfejs do
PostgreSQL-a dla OCamla. Pozwala osadzać instrukcje SQL bezpośrednio
w kodzie w OCamlu.

%prep
%setup -q -n pgocaml-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{pgocaml,stublibs}

install *.cm[ixa]* *.a pa_pgsql.cmo $RPM_BUILD_ROOT%{_libdir}/ocaml/pgocaml

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r test* pgocaml_prof.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# META for findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pgocaml
echo 'directory = "+pgocaml"' >> META
install META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pgocaml

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc README* BUGS.txt CONTRIBUTORS.txt HOW_IT_WORKS.txt *.mli
%dir %{_libdir}/ocaml/pgocaml
%{_libdir}/ocaml/pgocaml/*.cm[oixa]*
%{_libdir}/ocaml/pgocaml/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/pgocaml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-pg.spec,v $
Revision 1.12  2011/07/18 11:50:23  baggins
- rel 8
- fix building with latest calendar

Revision 1.11  2011/07/18 08:09:47  baggins
- rel 7

Revision 1.10  2009/04/18 17:37:11  areq
- rel 6

Revision 1.9  2008/07/10 20:18:24  megabajt
- release 5

Revision 1.8  2008/03/09 14:25:13  qboosh
- pl

Revision 1.7  2008-01-31 17:28:04  glen
- rel 4

Revision 1.6  2007-12-18 15:11:28  baggins
- rel 3
- added missing file

Revision 1.5  2007-12-02 13:32:56  baggins
- rel 2
- add R to devel

Revision 1.4  2007-12-02 12:50:16  baggins
- rel 1

Revision 1.3  2007-12-02 12:49:55  baggins
- builds

Revision 1.2  2007-11-27 18:28:28  baggins
- proper license
- proper ocaml BR

Revision 1.1  2007-11-27 18:13:46  baggins
- initial revision
- WIP
